The following lines of code in App.js creates a DOMContentLoaded event whenever there is change in UI due to page loading.

```Javascript
  componentDidUpdate() {
    window.document.dispatchEvent(
      new Event("DOMContentLoaded", {
        bubbles: true,
        cancelable: true
      })
    );
  }
```

The following lines of code in index.html loads the _highlight.min.js_ Javascript library. It gets called when the page listens the event **DOMContentLoaded**.

```HTML
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css" />
<script src="highlight.min.js"></script>
```

```Javascript
<script>
    document.addEventListener("DOMContentLoaded", event => {
        document.querySelectorAll("pre code").forEach(block => {
            hljs.highlightBlock(block);
        });
    });
</script>
```
