By adding an override for the **components** we plan to use in markdown documents, it's possible to dynamically render almost anything. Here I've added **ReactPlayer** component externally defined in the script to markdown file.  
This also lets me override Any HTML Tag's Representation. I've used this override feature to render **Material-UI** components in place of regular HTML tags.

```Javascript
//The current line you're reading is rendered by the following line.
<Markdown options={mdconfig}>{mdcon} </Markdown>
```

```Javascript
//The mdconfig config variable used above is defined here.
  const mdconfig = {
    overrides: {
      ReactPlayer: {
        component: ReactPlayer //
      },
      h1: {
        component: Typography,
        props: {
          variant: "h5"
        }
      },
      h2: {
        component: Typography,
        props: {
          variant: "h6"
        }
      },
      h3: {
        component: Typography,
        props: {
          variant: "h6",
          color: "textSecondary",
          className: classes.para
        }
      },
      a: {
        component: Link,
        props: {
          target: "_blank"
        }
      },
      p: {
        component: Typography,
        props: {
          paragraph: true,
          className: classes.para
        }
      },
      ul: {
        component: Typography,
        props: {
          component: "ul",
          className: classes.para
        }
      },
      em: {
        props: {
          className: classes.para
        }
      },
      pre: {
        props: {
          className: "w3-card "
        }
      },
      code: {
        props: {
          className: "w3-code jsHigh notranslate"
        }
      }
    }
  };
```
