# Design

I recently saw this cchair design getting viral by designer Zev Bianchi in social media. This design allowed the chair to be made from a single sheet. I thought why not try this for this week.  
I thought about this design. I was really unsure how the weight is distributed in the parts. It had both living hinge and kerf bending cut to flex it into chair shape.

**I couldn't make it yet, because of right material unavailability and enough machine time. I tried MDF and Plywood for but my test parts failed for living hinge.**

Product: https://www.bcompact.com/designer/all/aviator-chair

<p align="center">
![chair_comp][chair_flat]
</p>
[chair_flat]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/chair_flat.png "Chair design inspiration"

<p align="center">
![chair_comp][chair_comp]
</p>
[chair_comp]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/chair_comp.png "Chair design inspiration"

## My design

<p align="center">
![my_design][my_design]
</p>
[my_design]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/my_design.png "Chair design inspiration"

I had to use dxf format to import this design to partworks software to create toolpath.

<p align="center">
![Screenshot_1][Screenshot_1]
[Screenshot_1]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/Screenshot_3.png ""
</p>

## Kerf bending cut calculation

I made a OprnSCAD program to determine the cutting dimension for given thickness, length of material, kerf (end-mill dia) etc. I was able visualize the cut material after bending as shown in the image. This program basically provides visual feedback.

<p align="center">
![Screenshot_6][Screenshot_6]
[Screenshot_6]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/Screenshot_6.png ""
</p>

```javascript
// Thickness of sheet
thickness = 12;

// Minimum thickness of sheet after cutting. Depends on material properties.
min_thickness = 2;
depth=thickness-min_thickness; // Depth of kerf cut.

pi=3.14;

length=135; // material used for bending

angle=180;
kerf=6;

radius=(length/(angle*(pi/180)))-(depth/2);

echo("The radius:",radius,"mm");

// Y dimension of unit block.
block_y=depth*4; // doesn't matter. Just for visualization.

// Number of cuts determine the bending stiffness.
cuts=10;

//One unit in straight kerf cut is sum of kerf width and gap in between kerf.
unit= 17 ; // THIS IS WHAT YOU NEED FOR SPACING KERF CUTTING LINES.

gap=unit-kerf; // X dimension of unit block.
echo("The gap:",gap,"mm");


//length =(2*pi*(radius+(depth/2)));

echo("The length:",length,"mm");


for ( i = [0 : cuts] ){
    rotate( i *(angle/cuts) , [0, 1, 0])
    translate([0, 0, radius])
    cube([gap,block_y,depth],center=true);
};

translate([0, 0, 2*radius]){
    for ( i = [0 : cuts] ){
    translate([(i*gap)+(i*kerf), 0, 0])
    cube([gap,block_y,depth],center=true);
    }
};
```

# Material Selection

I tried MDF then Plywood. The designer made it using bamboo fiber composite plywood. I need to use something similar to make my design.

<p align="center">
![MDF][MDF]
[MDF]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/MDF.jpg ""
</p>

<p align="center">
![PLY][PLY]
[PLY]: /2019/labs/vigyanashram/students/manoj-sahukar/CNC/PLY.jpg ""
</p>

## Resources

- https://www.diffen.com/difference/MDF_vs_Plywood
- http://www.carbideprocessors.com/pages/saw-blades/cutting-mdf-and-plywood.html
- https://design-technology.org/mdf.htm
- https://www.youtube.com/watch?v=f-WIeiTDWaQ : CNC Project: Kerf Chair, Designed by Boris Goldberg | ToolsToday
- https://www.youtube.com/watch?v=mHY1ia9GaFo : Skillbuilder: Design for CNC Joinery
