# DHT22

DHT22 is Digital-output relative humidity and temperature sensor. It uses DS18B20 (One Wire Digital Temperature Sensor) for detecting temperature and Polymer humidity capacitor for humidity.

## Testing in Arduino

I used Adafruit [DHT22 libraries](https://github.com/adafruit/DHT-sensor-library) for trying the sensor in Arduino.

<p align="center">
![Screenshot_2][Screenshot_2]
[Screenshot_2]: http://localhost:3000/week11/Screenshot_2.png ""
</p>

## Converting the program for Attiny44

The library was too big for Attiny44

<p align="center">
![Screenshot_3][Screenshot_3]
[Screenshot_3]: http://localhost:3000/week11/Screenshot_3.png ""
</p>

## Small library for DHT22

I used the [DHT22 library for Arduino and ATtiny](https://github.com/jscrane/DHT).

<p align="center">
![DHT22][DHT22]
[DHT22]: http://localhost:3000/week11/DHT22.jpg ""
</p>

Here, I'm using one Arduino as ISP and another for serial monitor. The second one is running a blank program.

<p align="center">
![Screenshot_4][Screenshot_4]
[Screenshot_4]: http://localhost:3000/week11/Screenshot_4.png ""
</p>

```C
#include "DHT.h"
#include <SoftwareSerial.h>

SoftwareSerial mySerial(PA1, PA0); // RX, TX

DHT dht;
int hum=0;
int temp=0;
void setup()
{
  mySerial.begin(9600);
  mySerial.println("  Humidity %\t  Temperature C");
  dht.setup(PA2); // data pin 2
}

void loop()
{
  delay(dht.getMinimumSamplingPeriod());
  hum = 100L*dht.getHumidity()/1024L;
  mySerial.print("\t");
  mySerial.print(hum);
  mySerial.print("\t\t");
  temp = 100L*dht.getTemperature()/1024L;
  mySerial.print(temp);
  mySerial.println();
}
```
