# Master Code

```Javascript
var admin = require("firebase-admin");
var serviceAccount = require("E:/Fab/vamam2019-bad0f71913a3.json");
admin.initializeApp({
  credential: admin.credential.cert(serviceAccount),
  databaseURL: "https://vamam2019.firebaseio.com"
});
var db = admin.firestore();
db.settings({ timestampsInSnapshots: true });

var doc = db.collection("coord").doc("mango");
var coord_x;
var coord_y;
var coord_z;
//l1: 79.19, l2: 79.19, l3: 79.19, l4: 79.19
//l1: 97.63, l2: 97.63, l3: 97.63, l4: 97.63
var current_AB = 97.63;
var current_AC = 97.63;
var current_AD = 97.63;
var current_AE = 97.63;

//motor driver config
const stepAngle = (1.8 * Math.PI) / 180;
const radius = 1 ; // 1 cm
const step_len = stepAngle * radius ;

const a = 3 * 0.3048 * 100; //ft to m to cm --> 91.44 cm

function pwz(number, length) {
  var my_string = "" + number;
  while (my_string.length < length) {
    my_string = "0" + my_string;
  }
console.log(`command: ${my_string}`)
  return my_string;

}

function len_AB() {
  return Math.sqrt(
    Math.pow(coord_x, 2) + Math.pow(coord_y, 2) + Math.pow(coord_z, 2)
  );
}
function len_AC() {
  return Math.sqrt(
    Math.pow(a - coord_x, 2) + Math.pow(coord_y, 2) + Math.pow(coord_z, 2)
  );
}
function len_AD() {
  return Math.sqrt(
    Math.pow(a - coord_x, 2) + Math.pow(a - coord_y, 2) + Math.pow(coord_z, 2)
  );
}
function len_AE() {
  return Math.sqrt(
    Math.pow(coord_x, 2) + Math.pow(a - coord_y, 2) + Math.pow(coord_z, 2)
  );
}

// determine steps,direction : global function
function com01() {
  var newAB = len_AB();
  console.log(`current_AB:${current_AB}`);
  var diff = current_AB - newAB;
  console.log(`diff:${diff}`);
  current_AB = newAB;
  var steps = Math.round(Math.abs(diff) / (step_len));
//console.log(`diff:${Math.round(Math.abs(diff))}`);
console.log(`step:${steps}`);
//console.log(`stepAngle:${stepAngle}`);
//console.log(`step_len:${step_len}`);
  if (diff < 0) {
    var command = "1".concat(pwz(steps,4));
  } else {
    var command = "0".concat(pwz(steps,4));
  }
  return command;
}

function com02() {
  var newAC = len_AC();
  var diff = current_AC - newAC;
  current_AC = newAC;
  var steps = Math.round(Math.abs(diff) / (step_len));
  if (diff < 0) {
    var command = "1".concat(pwz(steps,4));
  } else {
    var command = "0".concat(pwz(steps,4));
  }
  return command;
}

function com03() {
  var newAD = len_AD();
  var diff = current_AD - newAD;
  current_AD = newAD;
  var steps = Math.round(Math.abs(diff) / (step_len));
  if (diff < 0) {
    var command = "1".concat(pwz(steps,4));
  } else {
    var command = "0".concat(pwz(steps,4));
  }
  return command;
}

function com04() {
  var newAE = len_AE();
  var diff = current_AE - newAE;
  current_AE = newAE;
  var steps = Math.round(Math.abs(diff) / (step_len));
  if (diff < 0) {
    var command = "1".concat(pwz(steps,4));
  } else {
    var command = "0".concat(pwz(steps,4));
  }
  return command;
}

// Firmata code begin

var five = require("johnny-five");
var board = new five.Board({
  port: "COM15" ,repl: false
});

board.on("ready", function() {
  var write01 = message => {
    this.i2cWrite(0x01, Array.from(message, c => c.charCodeAt(0)));
  };
  var write02 = message => {
    this.i2cWrite(0x02, Array.from(message, c => c.charCodeAt(0)));
  };
  var write03 = message => {
    this.i2cWrite(0x03, Array.from(message, c => c.charCodeAt(0)));
  };
  var write04 = message => {
    this.i2cWrite(0x04, Array.from(message, c => c.charCodeAt(0)));
  };
  this.i2cConfig();

  var observer = doc.onSnapshot(
    docSnapshot => {
      console.log(
        `X: ${docSnapshot.data().x},`,
        `Y: ${docSnapshot.data().y},`,
        `Z: ${docSnapshot.data().z}`
      );
      coord_x = docSnapshot.data().x * 0.9144; // y= 0.9144*x; mapping 0-100 to 0-91.44
      coord_y = docSnapshot.data().y * 0.9144;
      coord_z = docSnapshot.data().z * 0.9144;
      console.log(
        `l1: ${len_AB().toFixed(2)},`,
        `l2: ${len_AC().toFixed(2)},`,
        `l3: ${len_AD().toFixed(2)},`,
        `l4: ${len_AE().toFixed(2)}`
      );
      write01(com01());
      write02(com02());
      write03(com03());
      write04(com04());
      // ...
    },
    err => {
      console.log(`Encountered error: ${err}`);
    }
  ); // end of firebase code

  //  write("Hello Mango!");
  //write01("00200"); write02("00200"); write03("00200"); write04("00200");
  //write01("10200"); write02("10200"); write03("10200"); write04("10200");
  //write01(com01());
  //write02(com02());
  //write03(com03());
  //write04(com04());

  /*   var read = (message) =>{
  this.i2cConfig();
    this.i2cRead(8,4, function(data) {
      console.log("received data");
      console.log(data);
    });
  }; */
  //this.repl.inject({ write01, write02, write03, write04});
});

```

# Slave Code

```
#include <Wire.h>
const int maxlength = 5;
char buffer[maxlength];
char printable[maxlength];
int received;
//------------
const int stepPin = 2; // PA2
const int dirPin = 3; // PA3
const int relayPin = 7; // PA7
const int dly = 2000; //Minimum value for motor is 1000us
int dir;
int steps;
int check = 111;
//------------

void setup() {
  Wire.begin(4);                // join i2c bus with address #1
  Wire.onReceive(receiveEvent); // register event
  Wire.onRequest(requestEvent); /* register request event */
  //Serial.begin(9600);           // start serial for output
  //----------------

  // Sets the two pins as Outputs
  pinMode(stepPin, OUTPUT);
  pinMode(dirPin, OUTPUT);
  pinMode(relayPin, OUTPUT);
  digitalWrite(relayPin, HIGH);
  //----------------
}

void loop() {
  if (received > 0) {
    check = 123;
    //memcpy(printable, buffer, maxlength);
    // get motor direction
    dir = buffer[0]-'0'; // get from message // chat to int
    if (dir == 1) {
      digitalWrite(dirPin, HIGH); // Enables the motor to move in a particular direction
    } else {
      digitalWrite(dirPin, LOW);
    }
    //get number of steps
    //steps = String(String(buffer[1])+String(buffer[2])+String(buffer[3])+String(buffer[4])));
    steps = (buffer[1]-'0')*1000+(buffer[2]-'0')*100+(buffer[3]-'0')*10+(buffer[4]-'0');
    // Note: 200 pulses for making one full cycle rotation
    for (int x = 0; x < steps; x++) {
      digitalWrite(stepPin, HIGH);
      delayMicroseconds(dly);
      digitalWrite(stepPin, LOW);
      delayMicroseconds(dly);
    }
    delay(100); // 0.1 second delay
    received = 0;
  }
}

// function that executes whenever data is received from master
void receiveEvent(int howMany) {
  received = howMany;
  memset(buffer, 0, maxlength);

  for (int i = 0; i < howMany; i++) {
    buffer[i] = Wire.read();
  }
}

// function that executes whenever data is requested from master
void requestEvent() {
 //use it for debug
 Wire.write("0x04");  /*send string on request */
}

```
