# NodeMCU I2C with Arduino IDE

https://www.electronicwings.com/nodemcu/nodemcu-i2c-with-arduino-ide




Wire library doesn't support "String" data type.
https://www.arduino.cc/reference/en/language/variables/data-types/string/
https://forum.arduino.cc/index.php?topic=493410.0



https://stackoverflow.com/questions/14564813/how-to-convert-integer-to-character-array-using-c



https://www.geeksforgeeks.org/sprintf-in-c/

## Master
#include <Wire.h>
```
void setup() {
 Serial.begin(9600); /* begin serial for debug */
 Wire.begin(D1, D2); /* join i2c bus with SDA=D1 and SCL=D2 of NodeMCU */
}

void loop() {
 String s;
 char c;  
 
 Wire.requestFrom(8, 4); /* request & read data of size 4 from slave */
 while(Wire.available()){
    c = Wire.read();
    s+=c;
    //Serial.print(c);
 }
 Serial.print(s);
 Serial.println();
 delay(500);
 
 Wire.beginTransmission(8); /* begin with device address 8 */
 Wire.write("0");  /*count reset to 0*/
 Wire.endTransmission();    /* stop transmitting */
}

```
## Slave
```
#include <Wire.h>

void setup() {
  Wire.begin(8);                /* join i2c bus with address 8 */
  Wire.onReceive(receiveEvent); /* register receive event */
  Wire.onRequest(requestEvent); /* register request event */
  Serial.begin(9600);           /* start serial for debug */
}

void loop() {
  delay(100);
}

// function that executes whenever data is received from master
void receiveEvent(int howMany) {
  while (0 < Wire.available()) {
    char c = Wire.read();      /* receive byte as a character */
    Serial.print(c);           /* print the character */
  }
  Serial.println();             /* to newline */
}

// function that executes whenever data is requested from master
void requestEvent() {
  int i=9999;
  char count[5];
  sprintf(count, "%4d", i);
  //char count[] = "arduino";
  Wire.write(count);  /*send string on request */
}
```


https://www.arduino.cc/en/Reference.StringTrim